<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsuranceAvailResponse StructType
 * @subpackage Structs
 */
class InsuranceAvailResponse extends AbstractStructBase
{
    /**
     * The AvailabilityRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AvailResponseRS
     */
    public $AvailabilityRS;
    /**
     * Constructor method for InsuranceAvailResponse
     * @uses InsuranceAvailResponse::setAvailabilityRS()
     * @param \StructType\JP_AvailResponseRS $availabilityRS
     */
    public function __construct(\StructType\JP_AvailResponseRS $availabilityRS = null)
    {
        $this
            ->setAvailabilityRS($availabilityRS);
    }
    /**
     * Get AvailabilityRS value
     * @return \StructType\JP_AvailResponseRS|null
     */
    public function getAvailabilityRS()
    {
        return $this->AvailabilityRS;
    }
    /**
     * Set AvailabilityRS value
     * @param \StructType\JP_AvailResponseRS $availabilityRS
     * @return \StructType\InsuranceAvailResponse
     */
    public function setAvailabilityRS(\StructType\JP_AvailResponseRS $availabilityRS = null)
    {
        $this->AvailabilityRS = $availabilityRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsuranceAvailResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
